config/routes.rb
Rails.application.routes.draw do
  resources :articles
  resources :mailing_groups
  resources :other_groups
  resources :level_groups
  resources :subject_groups
  resources :mailing_statuses
  resources :user_groups
  resources :users
  root 'welcome#index'

resources :mailings do
    member do
      get :edit_comment
      patch :save_comment
      get :copy
    end

    resources :group_files
    resources :mailing_files
  end

  resources :sessions, only: [:new, :create, :destroy]

  match "/register", to: "users#new", via: "get"
  match '/signin',  to: 'sessions#new',         via: 'get'
  match '/signout', to: 'sessions#destroy',     via: 'delete'

  match "/calendar", to: "mailings#calendar", via: "get"
  match "/holidays", to: "mailings#holidays", via: "get"
  match "/timeline", to: "mailings#timeline", via: "get"

  get 'group_files/:id/:style/:basename.:extension' => 'group_files#render_file'
  get 'mailing_files/:id/:style/:basename.:extension' => 'mailing_files#render_file', :constraints => { :basename => /.*/ }

end

app/models/subject_group.rb
class SubjectGroup < ActiveRecord::Base
	has_many :mailing_groups
end

app/controllers/subject_groups_controller.rb
class SubjectGroupsController < ApplicationController
  before_action :set_subject_group, only: [:show, :edit, :update, :destroy]

  # GET /subject_groups
  # GET /subject_groups.json
  def index
    @subject_groups = SubjectGroup.all
  end

  # GET /subject_groups/1
  # GET /subject_groups/1.json
  def show
  end

  # GET /subject_groups/new
  def new
    @subject_group = SubjectGroup.new
  end

  # GET /subject_groups/1/edit
  def edit
  end

  # POST /subject_groups
  # POST /subject_groups.json
  def create
    @subject_group = SubjectGroup.new(subject_group_params)

    respond_to do |format|
      if @subject_group.save
        format.html { redirect_to @subject_group, notice: 'Subject group was successfully created.' }
        format.json { render :show, status: :created, location: @subject_group }
      else
        format.html { render :new }
        format.json { render json: @subject_group.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /subject_groups/1
  # PATCH/PUT /subject_groups/1.json
  def update
    respond_to do |format|
      if @subject_group.update(subject_group_params)
        format.html { redirect_to @subject_group, notice: 'Subject group was successfully updated.' }
        format.json { render :show, status: :ok, location: @subject_group }
      else
        format.html { render :edit }
        format.json { render json: @subject_group.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /subject_groups/1
  # DELETE /subject_groups/1.json
  def destroy
    @subject_group.destroy
    respond_to do |format|
      format.html { redirect_to subject_groups_url, notice: 'Subject group was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_subject_group
      @subject_group = SubjectGroup.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def subject_group_params
      params.require(:subject_group).permit(:name)
    end
end

app/helpers/subject_groups_helper.rb
module SubjectGroupsHelper
end

app/views/subject_groups/_form.html.erb
<%= form_for(@subject_group) do |f| %>
  <% if @subject_group.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@subject_group.errors.count, "error") %> prohibited this subject_group from being saved:</h2>

      <ul>
      <% @subject_group.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br>
    <%= f.text_field :name %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/subject_groups/edit.html.erb
<h1>Editing Subject Group</h1>

<%= render 'form' %>

<%= link_to 'Show', @subject_group %> |
<%= link_to 'Back', subject_groups_path %>

app/views/subject_groups/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Grupy do mailingu - przedmioty</h1>

<table class="table">
  <thead>
    <tr>
      <th>Nazwa</th>
    </tr>
  </thead>

  <tbody>
    <% @subject_groups.each do |subject_group| %>
      <tr>
        <td><%= subject_group.name %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Dodaj nowy przedmiot', new_subject_group_path, class: "btn btn-primary btn-flat" %>

app/views/subject_groups/new.html.erb
<h1>New Subject Group</h1>

<%= render 'form' %>

<%= link_to 'Back', subject_groups_path %>

app/views/subject_groups/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @subject_group.name %>
</p>

<%= link_to 'Edit', edit_subject_group_path(@subject_group) %> |
<%= link_to 'Back', subject_groups_path %>